Name:     inxi-gui
Version:  0.1.1
Release:  %mkrel 1

Summary: Shows system hardware info
Group:   System/Configuration/Hardware
License: GPLv3 
URL:     http://www.liberainformatica.it/forum/forumdisplay.php?fid=25
Source: %{name}-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot 
BuildArch: noarch
BuildRequires: desktop-file-utils
Requires: yad 
Requires: inxi
Requires: adwaita-icon-theme

%description
Inxi gui shows system hardware, CPU, drivers, Xorg, Desktop, kernel, GCC version,
processes, RAM usage and more...

%prep
%setup -q 

%build

%make 


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

#menu
desktop-file-install --vendor="" \
    --add-category="X-MandrivaLinux-System-Configuration;" \
	--dir %buildroot%{_datadir}/applications \
	%buildroot%{_datadir}/applications/*.desktop

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR

%post
%update_menus


%postun
%clean_menus



%files 
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.svg
%_datadir/applications/*.desktop
%_datadir//icons/hicolor/48x48/apps/%{name}.svg

%changelog
* Thu Dec 27 2018 adrianomorselli <adrianomorselli> 0.1.1-1uplos2019
- imported for uplos
- Fixed gui to work with updated inxi command line version
